<?

  include './system/common.php';
    
 include './system/functions.php';
        
      include './system/user.php';
    
if(!$user) {

  header('location: /');
  exit;

}
  $title = "Тех поддержка";

include './system/h.php';
?>
<div class='content' align='center'>Тех поддержка</div>
<div class='line'></div>
<?

switch ($_GET['mode'])
{
  default;
IF(isset($_get['COPY']))
{
echo "<A href='http://vk.com/elfi98'>АВТОООРРРР</a>";

}
if($_GET['create']=="true")
{
	
	$_title=_string($_POST['title']);

	$_sms=_string($_POST['sms']);

	if(empty($_title))$err="Пустой заголовок!";

	if(empty($_sms))$err="Пустой текст обращения!";

	if(strlen($_title)<5 OR strlen($_title)>25)$err="Длина заголовка от 5 до 25 символов";

	if(strlen($_sms)<50 OR strlen($_sms)>8048)$err="Длина сообщения от 50 до 8048 символов";

	if($err)
	{

		?>

		<div class="content">
		<font color="red"><?=$err;?></font>
		</div>

		<?

	}elseif(!$err){

			mysql_query("INSERT INTO `ticket` SET `user`='".$user['id']."',`text`='$_sms',`title`='$_title',`status`='new'")OR DIE(mysql_error());

			?>

		<div class="content">
		<font color="green">Заявка успешно отправлена! Администратор ответит в близжайшее время.</font>
		</div>

		<?

		



	}

	



}

?>
<div class='content'>
<Form action="?create=true" method="post"/>
 <input name="title" placeholder="Заголовок"/><br/>
<textarea name="sms" rows="5" cols="50"placeholder="Опишите Вашу проблему."/></textarea>
  <input type="submit" value="Отправить"/>
</form>
</div>
<div class='line'></div>
<div class='content' align='center' >
Мои заявки
</div>
<div class='line'></div>
<div class='content'>
<?

$my_requests=mysql_query("SELECT * FROM `ticket` WHERE `user`='".$user['id']."'");

if(mysql_num_rows($my_requests)==0)
{

?>

<font color='#999'>Нет заявок.</font>
</div>
<?

}elseif(mysql_num_rows($my_requests)>0)
{

	while ($req=mysql_fetch_array($my_requests))
	{
		
		switch ($req[status])
		{
			case 'new';

			$status="<font color='yellow'>Ожидание</font>";

			break;

			case 'read';

			$status="<font color='green'>Есть ответ</font>";

			break;

			case 'close';

			$status="<font color='red'>Закрыт</font>";

			break;

			case 'user';

			$status="<font color='red'>Ответил пользователь</font>";

			break;

		}

		?>	  
			</div><div class='list'>
  			<li class='no_b'><a href='?mode=viev&id=<?=$req['id'];?>'><img src='/images/icon/arrow.png' alt='*'/> <?=$req['title'];?>(<?=$status;?>)</a></li>
			</div>

		<?
	}



}


break;

case 'viev';

$id=trim(htmlspecialchars($_GET['id']));

	$tik=mysql_fetch_array(mysql_query("SELECT * FROM `ticket` WHERE `id`='$id'  and `user`='".mysql_real_escape_string($user['id'])."'"));

	if($tik){
		
				switch ($tik[status])
		{
			case 'new';

			$status="<font color='yellow'>Ожидание</font>";

			break;

			case 'read';

			$status="<font color='green'>Есть ответ</font>";

			break;

			case 'close';

			$status="<font color='red'>Закрыт</font>";

			break;

			case 'user';

			$status="<font color='red'>Ответил пользователь</font>";

			break;
		}


if($_GET['close']=="true" && $tik['status']!="close")
{


mysql_query("UPDATE `ticket` SET `status`='close' WHERE `id`='".mysql_real_escape_string($tik['id'])."'");


?>

<div class="content">
						<span>обращение закрыто</span>
						</div>
<?

}
		
		if($_GET['answer']=="true")
		{

				$sms=_string($_POST['sms']);
	
				if(strlen($sms)<5 OR strlen($sms)>2048)$err="Длина сообщения от 5 до 2048 символов";

				if($tik['status']=="close")$err="Тикет закрыт.";

				if($tik['status']=="user")$err="Антифлуд.";

				if($err)
				{

					?>

						<div class="content">
						<span><?=$err;?></span>
						</div>
					
						<?
				}elseif(!$err)
				{

					mysql_query("INSERT INTO `ticket_answer` SET `text`='".mysql_real_escape_string($sms)."',`type`='user',`ticket`='".mysql_real_escape_string($tik['id'])."'");

					mysql_query("UPDATE `ticket` SET `status`='user' WHERE `id`='".mysql_real_escape_string($tik['id'])."'");

					?>				
	
						<div class="content">
						<span color="green">Сообщение добавлено!</span>
						</div>

					<?



				}



		}
	

		?>

			<div class="content">
			<div align="left"/>
			Тема:<?=$tik['title'];?><br/>
			Статус: <?=$status;?><br/>
			Текст обращения: <?echo "".nl2br($tik['text'])."";?><br/>
			</div></div>
			<div class="line"></div>
			<div class="content">
			<a href='?mode=viev&id=<?=$tik['id'];?>&close=true' class='button'>Закрыть обращение</a>
			<div class="line"></div>
			<?

	if($tik['status']=="user" OR $tik['status']=="close"){
				?>
			<font color='#999'>Антифлуд, дождитесь ответа адмнистратора чтоб отправить повторно сообщение. Или же Ваше обращение закрыто.</font>
				<?
}else{
	?>
			<Form action="?mode=viev&id=<?=$tik['id'];?>&answer=true" method="post"/>
			<textarea name="sms" rows="5" cols="55"placeholder="Ваш ответ."/></textarea>
  			<input type="submit" value="Отправить"/>
			</form>

<?
}
?>
			</div>
			<Div class="line">
			</div>


		
		<?

	$answer=mysql_query("SELECT  * FROM `ticket_answer` WHERE `ticket`='".$tik['id']."' ORDER BY `id` DESC");

	if(mysql_num_rows($answer)==0){

		?>

		<div class="content">
		<font color='#999'>Сообщений не найдено.</font>
		</div>
	
		<?
	
	}elseif(mysql_num_rows($answer)>0)
	{

			while ($feed=mysql_fetch_array($answer))
			{
			  
				if($feed['type']=="admin")
				{

					?>
					<div class="content">
					<font color='#999'>Ответ администратора:</font><br>
					<?=$feed['text'];?>
					</div>
					<Div class="line">
			</div>
					<?

				}elseif($feed['type']=="user")
				{

					?>
					<div class="content">
					<font color='#999'>Вы:</font><br>
					<?=$feed['text'];?>
					</div>
					<Div class="line">
			</div>
					<?


				}

			}		

	}


	}elseif(!$tik)
	{

		header("Location:/ticket/");

		exit;

	}


break;
case 'admin';

if($user['access']=="2")
{






$id=trim(htmlspecialchars($_GET['id']));

	$tik=mysql_fetch_array(mysql_query("SELECT * FROM `ticket` WHERE `id`='$id'"));

	if($tik){
		
				switch ($tik[status])
		{
			case 'new';

			$status="<font color='yellow'>Ожидание</font>";

			break;

			case 'read';

			$status="<font color='green'>Есть ответ</font>";

			break;

			case 'close';

			$status="<font color='red'>Закрыт</font>";

			break;

			case 'user';

			$status="<font color='red'>Ответил пользователь</font>";

			break;
		}

if($_GET['open']=="true")
{

mysql_query("UPDATE `ticket` SET `status`='read' WHERE `id`='".mysql_real_escape_string($tik['id'])."'");


}


if($_GET['delete']=="true")
{

mysql_query("DELETE FROM `ticket` WHERE `id`='".mysql_real_escape_string($tik['id'])."'");

mysql_query("DELETE FROM `ticket_answer` WHERE `ticket`='".mysql_real_escape_string($tik['id'])."'");



?>

<div class="content">
						<span>Тикет удален:)</span>
						</div>
<?


}



if($_GET['close']=="true" && $tik['status']!="close")
{


mysql_query("UPDATE `ticket` SET `status`='close' WHERE `id`='".mysql_real_escape_string($tik['id'])."'");




}
		
		if($_GET['answer']=="true")
		{

				$sms=_string($_POST['sms']);
	
				if(strlen($sms)<5 OR strlen($sms)>2048)$err="Длина сообщения от 5 до 2048 символов";

				if($tik['status']=="close")$err="Тикет закрыт.";

				

				if($err)
				{

					?>

						<div class="content">
						<span><?=$err;?></span>
						</div>
					
						<?
				}elseif(!$err)
				{

					mysql_query("INSERT INTO `ticket_answer` SET `text`='".mysql_real_escape_string($sms)."',`type`='admin',`ticket`='".mysql_real_escape_string($tik['id'])."'");

					mysql_query("UPDATE `ticket` SET `status`='read' WHERE `id`='".mysql_real_escape_string($tik['id'])."'");

					?>				
	
						<div class="content">
						<span color="green">Сообщение добавлено!</span>
						</div>

					<?



				}



		}
	

		?>

			<div class="content">
			<div align="left"/>
			Тема:<?=$tik['title'];?><br/>
			Статус: <?=$status;?><br/>
			Текст обращения: <?echo "".nl2br($tik['text'])."";?><br/>
			</div></div>
			<div class="line"></div>
			<div class="content">
			<a href='?mode=admin&id=<?=$tik['id'];?>&close=true' class='button'>Закрыть обращение</a>
			<a href='?mode=admin&id=<?=$tik['id'];?>&delete=true' class='button'>Удалить обращение</a>
			<a href='?mode=admin&id=<?=$tik['id'];?>&open=true' class='button'>Открыть</a>
			<div class="line"></div>

			<Form action="?mode=admin&id=<?=$tik['id'];?>&answer=true" method="post"/>
			<textarea name="sms" rows="5" cols="55"placeholder="Ваш ответ."/></textarea>
  			<input type="submit" value="Отправить"/>
			</form>


			</div>
			<Div class="line">
			</div>


		
		<?

	$answer=mysql_query("SELECT  * FROM `ticket_answer` WHERE `ticket`='".$tik['id']."' ORDER BY `id` DESC");

	if(mysql_num_rows($answer)==0){

		?>

		<div class="content">
		<font color='#999'>Сообщений не найдено.</font>
		</div>
	
		<?
	
	}elseif(mysql_num_rows($answer)>0)
	{

			while ($feed=mysql_fetch_array($answer))
			{
			  
				if($feed['type']=="admin")
				{

					?>
					<div class="content">
					<font color='#999'>Вы (АДМИН):</font><br>
					<?=$feed['text'];?>
					</div>
					<Div class="line">
			</div>
					<?

				}elseif($feed['type']=="user")
				{

					?>
					<div class="content">
					<font color='#999'>Пользователь:</font><br>
					<?=$feed['text'];?>
					</div>
					<Div class="line">
			</div>
					<?


				}

			}		

	}


	}elseif(!$tik)
	{

		header("Location:/ticket/");

		exit;

	}








}

break;
case 'viev_all';

if($user['access']!="2")
{


	header("Location:/");

	exit;


}

$all=mysql_query("SELECT * FROM `ticket`  ORDER BY `id` DESC");

if(mysql_num_rows($all)==0)
{

?>

		<div class="content">
		<font color='#999'>Заявок нету</font>
		</div>
	
		<?

}elseif(mysql_num_rows($all)>0)
{


	while ($at=mysql_fetch_array($all))
	{
	  
					switch ($at[status])
		{
			case 'new';

			$status="<font color='yellow'>Ожидание</font>";

			break;

			case 'read';

			$status="<font color='green'>Есть ответ</font>";

			break;

			case 'close';

			$status="<font color='red'>Закрыт</font>";

			break;

			case 'user';

			$status="<font color='red'>Ответил пользователь</font>";

			break;
		}

				?>	  
			<div class='list'>
  			<li class='no_b'><a href='?mode=admin&id=<?=$at['id'];?>'><img src='/images/icon/arrow.png' alt='*'/> <?=$at['title'];?>(<?=$status;?>)</a></li>
			</div>

		<?
	



	}






}


break;


}

include './system/f.php';

?>